org.apache.mina.filter.keepalive

## Interface KeepAliveMessageFactory

-     public interface KeepAliveMessageFactory

  Provides keep-alive messages to `KeepAliveFilter`.
  Author:
    Apache MINA Project

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `getRequest(IoSession session)` Returns a (new) keep-alive request message.
    `Object` | `getResponse(IoSession session, Object request)` Returns a (new) response message for the specified keep-alive request.
    `boolean` | `isRequest(IoSession session, Object message)` Returns `true` if and only if the specified message is a keep-alive request message.
    `boolean` | `isResponse(IoSession session, Object message)` Returns `true` if and only if the specified message is a keep-alive response message;

- - ### Method Detail

    - #### isRequest

          boolean isRequest(IoSession session,
                          Object message)

      Returns `true` if and only if the specified message is a keep-alive request message.

    - #### isResponse

          boolean isResponse(IoSession session,
                           Object message)

      Returns `true` if and only if the specified message is a keep-alive response message;

    - #### getRequest

          Object getRequest(IoSession session)

      Returns a (new) keep-alive request message. Returns `null` if no request is required.

    - #### getResponse

          Object getResponse(IoSession session,
                           Object request)

      Returns a (new) response message for the specified keep-alive request. Returns `null` if no response is required.

Copyright © 2004-2012 Apache MINA Project. All Rights Reserved.